FROM harbor.cloud.prolog.org/base-solution/jar:v2
ENV LANG=zh_CN.UTF-8
ENV JAVA_OPTS="-XX:MetaspaceSize=56m -XX:MaxMetaspaceSize=128m -Xms128m -Xmx512m -Xmn110m -Xss256k -XX:SurvivorRatio=8 -Djava.security.egd=file:/dev/./urandom -Duser.timezone=GMT+08"
RUN mkdir /usr/local/apps
RUN mkdir /usr/local/logs

COPY ./*/target/*.jar /usr/local/apps/app.jar

WORKDIR /usr/local/apps

CMD java ${JAVA_OPTS} -jar /usr/local/apps/app.jar 
